# User attributes

## GET /v1/user-attributes

>

```json
{"openapi":"3.0.0","info":{"title":"Whaly API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","description":"Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'"}},"schemas":{"PaginatedListWrapper":{"type":"object","properties":{"paging":{"$ref":"#/components/schemas/PagingInfo"}},"required":["paging"]},"PagingInfo":{"type":"object","properties":{"next":{"$ref":"#/components/schemas/PagingNext"}},"required":["next"]},"PagingNext":{"type":"object","properties":{"after":{"type":"string"}},"required":["after"]},"UserAttributeDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID"},"name":{"type":"string","description":"Name of User Attribute"},"label":{"type":"string","description":"Human friendly label for User Attribute"},"type":{"type":"string","description":"Type of the User Attribute","enum":["STRING","BOOLEAN","NUMBER","TIME","UNKNOWN"]},"allow_multiple_values":{"type":"boolean","description":"If true, a User can have multiple values for this User Attribute"}},"required":["id","name","label","type","allow_multiple_values"]}}},"paths":{"/v1/user-attributes":{"get":{"operationId":"UserAttributesController_listAll","parameters":[{"name":"after","required":false,"in":"query","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedListWrapper"},{"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/UserAttributeDto"}}}}]}}}}}}}}}
```

## GET /v1/user-attributes/{userAttributeId}

>

```json
{"openapi":"3.0.0","info":{"title":"Whaly API","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","description":"Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'"}},"schemas":{"UserAttributeDto":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID"},"name":{"type":"string","description":"Name of User Attribute"},"label":{"type":"string","description":"Human friendly label for User Attribute"},"type":{"type":"string","description":"Type of the User Attribute","enum":["STRING","BOOLEAN","NUMBER","TIME","UNKNOWN"]},"allow_multiple_values":{"type":"boolean","description":"If true, a User can have multiple values for this User Attribute"}},"required":["id","name","label","type","allow_multiple_values"]}}},"paths":{"/v1/user-attributes/{userAttributeId}":{"get":{"operationId":"UserAttributesController_findOne","parameters":[{"name":"userAttributeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserAttributeDto"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.whaly.io/api-reference/user-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
